<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package xpressmag
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="page" class="site page_wrap">

	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'xpressmag' ); ?></a>
	
	<header id="masthead" class="site-header general_header">
        <?php if( get_theme_mod( 'xpressmag_top_header_section_options', 'on' ) == 'on' ){ ?>
            <div class="header_top">
                <div class="xp_container">
                    <div class="row">
                        <div class="col-md-8 col-sm-7 col-xs-12">
                            <div class="header_top_left">
                                <?php
                                    if( has_nav_menu( 'menu-2' ) ){
                                        wp_nav_menu( array(
                                            'theme_location' => 'menu-2',
                                            'container'      => '',
                                        ) );
                                    }
                                ?>
                            </div><!-- // top_left -->
                        </div><!-- // col -->
                        <div class="col-md-4 col-sm-5 col-xs-12">
                            <div class="header_top_socical">
                            	<?php
                            		/**
                            		 * Social Media Link
                            		*/
                            		do_action( 'xpressmag_social_media', 5 );
                            	?>
                            </div><!-- // social -->
                        </div><!-- // col -->
                    </div><!-- // row -->
                </div><!-- // xp_container -->
            </div><!-- // header_top -->
        <?php } ?>
        <div class="xp_container">
            <div class="logo_area">
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        
                        <div class="logo site-branding">

							<?php the_custom_logo(); ?>

							<h1 class="site-title">
								<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
									<?php bloginfo( 'name' ); ?>
								</a>
							</h1>
							<?php 
								$description = get_bloginfo( 'description', 'display' );
								if ( $description || is_customize_preview() ) { ?>
									<p class="site-description">
										<?php echo $description; /* WPCS: xss ok. */ ?>
									</p>
							<?php } ?>					
						</div> <!-- .site-branding -->

                    </div> <!-- // col -->

                    <div class="col-md-8 col-sm-12 col-xs-12">
                        <div class="adv_space">
                            <?php 
                            	if( is_active_sidebar( 'headerads' ) ){
							        dynamic_sidebar( 'headerads' );
							    }
							?>
							    
                        </div><!-- // adv_space -->
                    </div><!-- // col -->
                </div><!-- // row -->
            </div><!-- // logo_area -->
            <nav class="main_navigation">
                <div id="main-nav" class="primary_navigation">
                    <?php
						wp_nav_menu( array(
							'theme_location' => 'menu-1',
							'menu_id'        => 'primary-menu',
							'container'      => '',
						) );
					?>
                </div> <!-- // primary_navigation -->

                <div class="menu_search">
                	<?php get_search_form(); ?>
                </div> <!-- // menu_search -->
            </nav>

        </div><!-- // xp_container -->
    </header>

	<div id="content" class="site-content">
